TypeInfo (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal
Class TypeInfo

    java.lang.Object
      org.hibernate.engine.jdbc.internal.TypeInfo

    public class TypeInfo

extends Object

Models type info extracted from `DatabaseMetaData.getTypeInfo()`

Constructor Summary
`TypeInfo(String typeName, int jdbcTypeCode, String[] createParams, boolean unsigned, int precision, short minimumScale, short maximumScale, boolean fixedPrecisionScale, String literalPrefix, String literalSuffix, boolean caseSensitive, TypeSearchability searchability, TypeNullability nullability)`

Method Summary
`String[]` | `getCreateParams()`
`int` | `getJdbcTypeCode()`
`String` | `getLiteralPrefix()`
`String` | `getLiteralSuffix()`
`short` | `getMaximumScale()`
`short` | `getMinimumScale()`
`TypeNullability` | `getNullability()`
`int` | `getPrecision()`
`TypeSearchability` | `getSearchability()`
`String` | `getTypeName()`
`boolean` | `isCaseSensitive()`
`boolean` | `isFixedPrecisionScale()`
`boolean` | `isUnsigned()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeInfo

    public TypeInfo(String typeName,
                    int jdbcTypeCode,
                    String[] createParams,
                    boolean unsigned,
                    int precision,
                    short minimumScale,
                    short maximumScale,
                    boolean fixedPrecisionScale,
                    String literalPrefix,
                    String literalSuffix,
                    boolean caseSensitive,
                    TypeSearchability searchability,
                    TypeNullability nullability)

Method Detail

### getTypeName

    public String getTypeName()

### getJdbcTypeCode

    public int getJdbcTypeCode()

### getCreateParams

    public String[] getCreateParams()

### isUnsigned

    public boolean isUnsigned()

### getPrecision

    public int getPrecision()

### getMinimumScale

    public short getMinimumScale()

### getMaximumScale

    public short getMaximumScale()

### isFixedPrecisionScale

    public boolean isFixedPrecisionScale()

### getLiteralPrefix

    public String getLiteralPrefix()

### getLiteralSuffix

    public String getLiteralSuffix()

### isCaseSensitive

    public boolean isCaseSensitive()

### getSearchability

    public TypeSearchability getSearchability()

### getNullability

    public TypeNullability getNullability()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.